image: alpine:latest

pages:
  stage: deploy
  script:
    - apk add --no-cache nodejs
    - apk add --no-cache npm
    - npm install -g pnpm
    - pnpm install
    - pnpm run build
    - cp -r _site ./public/
  artifacts:
    paths:
      - public
  only:   
    - master
